## panucci 0.2-1

=== debian/changelog ===
panucci (0.2-1) unstable; urgency=low

  * Initial public release

 -- Thomas Perl <thp@perli.net>  Sun, 26 Oct 2008 11:28:35 +0100

## panucci 0.2-4

=== Makefile ===
PREFIX ?= /usr

all:
	@echo "Possible make targets:"
	@echo "    install - install the package"
	@echo "    clean - remove the build files"
	@echo "    distclean - remove build files + dist target"
	@echo "    test - test the application"

install: python-install post-install

python-install:
	python setup.py install --optimize 2

clean:
	rm -rf build src/panucci/*.pyc

distclean: clean
	rm -rf dist

test:
	PYTHONPATH=src/ python bin/panucci

post-install:
	gtk-update-icon-cache -f -i $(PREFIX)/share/icons/hicolor/
	update-desktop-database $(PREFIX)/share/applications/

## panucci 0.2-2

=== debian/changelog ===
panucci (0.2-2) unstable; urgency=low

  * Fix problems with seeking, bookmarking and other things
  * Update homepage URL

 -- Thomas Perl <thp@perli.net>  Sun, 14 Dec 2008 16:37:57 +0100

=== debian/control ===
Source: panucci
Maintainer: Thomas Perl <thp@perli.net>
Section: user/other
Priority: optional
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 5.0.37.2), python2.5-dev
XS-Python-Version: >= 2.5
XB-Python-Version: ${python:Versions}
Homepage: http://panucci.garage.maemo.org/

Package: panucci
Architecture: all
Depends: ${python:Depends}, python2.5-gtk2, python2.5-gstreamer, python2.5-dbus, python2.5-hildon
Suggests: gpodder
Description: Play audio books, podcasts and live concerts with resuming
  Panucci will automatically resume the playback from the position
  where you stopped last time. Bookmarks are also supported. The 
  interface has elements big enough to be used with your fingers. 
XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAAAAZiS
  0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAuIwAALiMBeKU/dgAAAAd0SU1FB9gKGRc5F8Emid
  4AAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJTVBXgQ4XAAAEGklEQVRIx+2VXUx
  bBRiG3/PTX0ppWdeWlBVoO4jjTyaYMRmwJWTDIEPZYlhkbmGaZdHpwkLUoVlMNm+MRg3G
  JQY1YmLUbswsbG7gD2xjRDZGxoBKgbYgtS1nhf6etuecejMvlpipBC+Me2++my/vk+/if
  T/ggf5LUgGg/i3zP4y1TRVGe4lRuVunSzAzC5wbALvqNLVC3Hz+1UeTwx8XJdkxS3LyYn
  byUvfRG7W1Ozau6kWb1qt3VpvIranxBXDhBDIfskAra8mo27Xn+cfrd26v3V5aGmKuB+3
  OsHOlIBoA0uRiGU0DfCSOqJ/C4MEb0Hjr4M80Ehs/+KJcWfVc+RM1loM/978/PjqV9tmb
  b/d+yTCM6x9ftF4vq9xsllVJEEAsbIIw7IUjnoQkGoRvrBNx/2XothxH1oY9a43seE19h
  eXFTcXGAsh1HtuUw/W3Qes0ssqaPG4rjRhyD3wOxuaE6s4cJFla0CYWXHgOKcYySNZY4L
  /5FdjRT0k9N5X/iIbZV5ghlBUZKMHlFwIBFsv3BZWZVXs3Z/MlFOLQV7Ug65mXoG2sQkb
  1j6DFYjA/sODcApQFBUgvroZErULYMQQqFiN080RuUYjYVVlAHy4vEeVLdBK/bTbh+FPQ
  tsK17XkGtUEs+JGq80EsmQMR+QYC9TBsp0ZA3YqAnRiDc6AThjIrJLJpyM37MWvtBzV9N
  wiLIMsPHc5/tvWNvaV50w36NQGvXkOztpl4CIBAA4BSLBiDcTFSdHLIUm5CuDMKytABz5
  V+hFzL4KNJhMUEMjgpyLQnQWpegIo2IKsemDl5AgmagFylRmZtO0SKVDTsP1tcV7XDKiS
  W0NG1NNb6lm8bDQBJgecT0SAiLgKkiADr48B8fwHSdYUo/agPsydaQC46wZl4OHt/RfbT
  6SAIEpaW15Gq9oEf74a68R2IFKkAAIJKx5jD6OJCnnPfDYQ/AeCjAWB+iR+sILlGZoRFI
  iJg6KgH+sCHmKUIyLcYIMpcALOQhLovBOegFQrTU1DkmEElzgP0afA5Cfh/eRnTS7dHPJ
  GKHrfb3dPcbL0OIHZPjibc0WtSZWYjl+uB7bQHkpCAiagAuYwENTcPSqkANR/EfAKQkAQ
  mT+6DoogHJSIh04ox7OCvXXVFX+n4+vhP9w1sIMrxBB+DQQNIVRRUR8qhuRQGR4eQzIsg
  u+kUJrzvgR66iDhNQPqYNCQ2ixxREX3r3OWwtf3d5TMAhL9sBrNOkU/SNBBPgqQJZO0+B
  PJAwz2LaW16ofNYvM92deC1b4/5hldUQYFIwsuzYQikCFK5CMJyNwhFNX7zRpN2u/2K3W
  7vbmtrO7O4uDiz0q4j7s4NrXU5Q1q1IuVCz2RX05H03tszMlfX2eA4wzDe1f4WWgCWB//
  //6vfATBvqdKFiW29AAAAAElFTkSuQmCC

## panucci 0.2-3

=== debian/changelog ===
panucci (0.2-3) unstable; urgency=low

  * Depend on python2.5-gnome (thanks to cybergypsy and René Seinda
    for reporting this bug)
  * Depend on ogg-support to get OGG time display correctly (thanks to
    Dan Wahrenberger for reporting this bug)
  * Fix package categories
  * Do all kinds of funky Maemo-specific package changes (according to
    the "Maemo packaging features you're missing out on" blog post)

 -- Thomas Perl <thp@perli.net>  Mon, 15 Dec 2008 10:35:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: panucci
 Maintainer: Thomas Perl <thp@perli.net>
-Section: user/other
+Section: user/multimedia
 Priority: optional
 Standards-Version: 3.7.3
 Build-Depends: debhelper (>= 5.0.37.2), python2.5-dev
 XS-Python-Version: >= 2.5
 XB-Python-Version: ${python:Versions}
+XB-Maemo-Display-Name: Panucci audiobook and podcast player
+XB-Maemo-Upgrade-Description: Add dependency on python2.5-gnome; update package description
 Homepage: http://panucci.garage.maemo.org/
 
 Package: panucci
 Architecture: all
-Depends: ${python:Depends}, python2.5-gtk2, python2.5-gstreamer, python2.5-dbus, python2.5-hildon
+Depends: ${python:Depends}, python2.5-gtk2, python2.5-gstreamer, python2.5-dbus, python2.5-hildon, python2.5-gnome, ogg-support
 Suggests: gpodder
 Description: Play audio books, podcasts and live concerts with resuming
   Panucci will automatically resume the playback from the position

## panucci 0.2-4

=== debian/changelog ===
panucci (0.2-4) unstable; urgency=low

  * Depend on python2.5-gnome (thanks to cybergypsy and René Seinda
    for reporting this bug)
  * Depend on ogg-support to get OGG time display correctly (thanks to
    Dan Wahrenberger for reporting this bug)
  * Fix package categories
  * Do all kinds of funky Maemo-specific package changes (according to
    the "Maemo packaging features you're missing out on" blog post)
  * Show version in about dialog

 -- Thomas Perl <thp@perli.net>  Mon, 15 Dec 2008 10:35:30 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 XS-Python-Version: >= 2.5
 XB-Python-Version: ${python:Versions}
 XB-Maemo-Display-Name: Panucci audiobook and podcast player
-XB-Maemo-Upgrade-Description: Add dependency on python2.5-gnome; update package description
+XB-Maemo-Upgrade-Description: Add dependency on python2.5-gnome; update package description; show version in about dialog
 Homepage: http://panucci.garage.maemo.org/
 
 Package: panucci

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CHANGELOG	= debian/changelog
DOCS		= #AUTHORS README

PYTHON		= /usr/bin/python2.5
SETUP		= ${PYTHON} setup.py

DEBPACKAGE	= panucci
DESTDIR		= debian/${DEBPACKAGE}
PREFIX		= usr

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	${SETUP} build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	${SETUP} clean --all
	rm -rf build dist
	dh_clean
	make clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	${SETUP} install --no-compile -O2 --root='$(DESTDIR)' --prefix='$(PREFIX)'

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs $(CHANGELOG)
	dh_installdocs $(DOCS)
	dh_installmenu
	dh_installman
	dh_compress
	dh_fixperms
	dh_python
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep

.PHONY: build clean binary-indep binary-arch binary install configure

## panucci 0.2-5

=== debian/changelog ===
panucci (0.2-5) unstable; urgency=low

  * Remove dependency on ogg-support, as this is not in Diablo yet

 -- Thomas Perl <thp@perli.net>  Mon, 15 Dec 2008 18:18:33 +0100

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 XS-Python-Version: >= 2.5
 XB-Python-Version: ${python:Versions}
 XB-Maemo-Display-Name: Panucci audiobook and podcast player
-XB-Maemo-Upgrade-Description: Add dependency on python2.5-gnome; update package description; show version in about dialog
+XB-Maemo-Upgrade-Description: Remove dependency on ogg-support
 Homepage: http://panucci.garage.maemo.org/
 
 Package: panucci
 Architecture: all
-Depends: ${python:Depends}, python2.5-gtk2, python2.5-gstreamer, python2.5-dbus, python2.5-hildon, python2.5-gnome, ogg-support
+Depends: ${python:Depends}, python2.5-gtk2, python2.5-gstreamer, python2.5-dbus, python2.5-hildon, python2.5-gnome
 Suggests: gpodder
 Description: Play audio books, podcasts and live concerts with resuming
   Panucci will automatically resume the playback from the position

## panucci 0.3-4

=== debian/changelog ===
panucci (0.3-4) unstable; urgency=low

  * Stable 0.3 release

 -- Nick Nobody <me@nikosapi.org>  Mon, 16 Mar 2009 16:59:39 -0400

panucci (0.3-3) unstable; urgency=low

  * apply 8e2d5dd2d95d7646b1ced05343dcba1e81ebb03c
  * apply 789e08387fe524bced654535f90c2c9244972d06

 -- Nick Nobody <me@nikosapi.org>  Mon,  2 Mar 2009 23:20:39 -0500

panucci (0.3-2) unstable; urgency=low

  * apply 8b69ade0d20b003b062b707816e9dd430a6964b8

 -- Nick Nobody <me@nikosapi.org>  Sun,  1 Mar 2009 19:11:12 -0500

panucci (0.3-1) unstable; urgency=low

  * apply 875080629a53eaa53e9ad291d896feb8d191be6b

 -- Nick Nobody <me@nikosapi.org>  Sun,  1 Mar 2009 18:32:55 -0500

panucci (0.3-0) unstable; urgency=low

  * 0.3 release (SQLite, Playlist management and so much more...)

 -- Nick Nobody <me@nikosapi.org>  Fri, 27 Feb 2009 12:12:57 -0500

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: panucci
-Maintainer: Thomas Perl <thp@perli.net>
+Maintainer: Nick Nobody <me@nikosapi.org>
 Section: user/multimedia
 Priority: optional
 Standards-Version: 3.7.3
 Build-Depends: debhelper (>= 5.0.37.2), python2.5-dev
 XS-Python-Version: >= 2.5
 XB-Python-Version: ${python:Versions}
-XB-Maemo-Display-Name: Panucci audiobook and podcast player
-XB-Maemo-Upgrade-Description: Remove dependency on ogg-support
 Homepage: http://panucci.garage.maemo.org/
 
 Package: panucci
 Architecture: all
-Depends: ${python:Depends}, python2.5-gtk2, python2.5-gstreamer, python2.5-dbus, python2.5-hildon, python2.5-gnome
-Suggests: gpodder
+Depends: ${python:Depends}, python2.5-gtk2, python2.5-gstreamer, python2.5-dbus, python2.5-hildon, python2.5-gnome, python2.5-mutagen
+Suggests: gpodder, mogg
 Description: Play audio books, podcasts and live concerts with resuming
   Panucci will automatically resume the playback from the position
   where you stopped last time. Bookmarks are also supported. The

## panucci 0.3-5

=== debian/changelog ===
panucci (0.3-5) unstable; urgency=low

  * Add fullscreen button support to the main window

 -- Thomas Perl <thp@thpinfo.com>  Fri, 28 Aug 2009 14:37:44 +0200

## panucci 0.3-6

=== Makefile ===
#
# This file is part of Panucci.
# Copyright (c) 2008-2009 The Panucci Audiobook and Podcast Player Project
#
# Panucci is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Panucci is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Panucci.  If not, see <http://www.gnu.org/licenses/>.
#

PREFIX ?= /usr
DESTDIR ?= /

PYTHON = /usr/bin/python2.5

all:
	@echo "Possible make targets:"
	@echo "    install - install the package"
	@echo "    clean - remove the build files"
	@echo "    distclean - remove build files + dist target"
	@echo "    test - test the application"

install: python-install post-install install-schemas

python-install:
	$(PYTHON) setup.py install --optimize 2 --root=$(DESTDIR) --prefix=$(PREFIX)

copy-schemas:
	mkdir -p $(DESTDIR)/etc/gconf/schemas
	install data/panucci.schemas $(DESTDIR)/etc/gconf/schemas

install-schemas:
	GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` \
		gconftool-2 --makefile-install-rule data/panucci.schemas
	# This isn't a problem, gconf gets started when it's needed
	# DON'T WORRY IF THIS FAILS, kay?
	-killall gconfd-2

post-install:
	gtk-update-icon-cache -f -i $(PREFIX)/share/icons/hicolor/
	update-desktop-database $(PREFIX)/share/applications/

clean:
	rm -rf build src/panucci/*.{pyc,pyo}

distclean: clean
	rm -rf dist

test:
	PYTHONPATH=src/ python bin/panucci --debug

ptest:
	LD_LIBRARY_PATH=/usr/lib/gtk-2.0/modules GTK_MODULES=gtkparasite \
	PYTHONPATH=src/ python bin/panucci --debug

build-package:
	# See: http://wiki.maemo.org/Uploading_to_Extras#Debian_tooling
	dpkg-buildpackage -rfakeroot -sa -i -I.git

=== debian/changelog ===
panucci (0.3-6) unstable; urgency=low

  * Support clicking the cover art for play/pause functionality
  * Add XB-Maemo-Upgrade-Description and XB-Maemo-Display-Name

 -- Thomas Perl <thp@thpinfo.com>  Fri, 28 Aug 2009 15:01:35 +0200

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,8 @@
   Panucci will automatically resume the playback from the position
   where you stopped last time. Bookmarks are also supported. The 
   interface has elements big enough to be used with your fingers. 
+XB-Maemo-Display-Name: Panucci resuming audiobook and podcast player
+XB-Maemo-Upgrade-Description: Fullscreen and cover art play/pause support
 XB-Maemo-Icon-26:
   iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAAAAZiS
   0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAuIwAALiMBeKU/dgAAAAd0SU1FB9gKGRc5F8Emid

=== debian/rules ===
--- 
+++ 
@@ -46,6 +46,7 @@
 	dh_clean -k
 	dh_installdirs
 	${SETUP} install --no-compile -O2 --root='$(DESTDIR)' --prefix='$(PREFIX)'
+	$(MAKE) copy-schemas PREFIX=$(PREFIX) DESTDIR=$(DESTDIR)
 
 binary-arch:

## panucci 0.3-7

=== debian/changelog ===
panucci (0.3-7) unstable; urgency=low

  * Support orientation changes (LANDSCAPE / PORTRAIT) depending
    on screen rotation (needs screen rotation kernel/xserver patch)

 -- Thomas Perl <thp@thpinfo.com>  Sun, 30 Aug 2009 14:25:39 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: panucci
 Architecture: all
-Depends: ${python:Depends}, python2.5-gtk2, python2.5-gstreamer, python2.5-dbus, python2.5-hildon, python2.5-gnome, python2.5-mutagen
+Depends: ${python:Depends}, python-gtk2, python-gst0.10, python-dbus, python-hildon, python-gconf, python-mutagen
 Suggests: gpodder, mogg
 Description: Play audio books, podcasts and live concerts with resuming
   Panucci will automatically resume the playback from the position

## panucci 0.3-8thp0

=== debian/changelog ===
panucci (0.3-8thp0) fremantle; urgency=low

  * First working Fremantle version (uses playbin2 instead of playbin)
  * Automatic screen rotation based on gPodder's portrait module
  * Use Hildon Button Styles
  * Fix AppMenu items (remove Bookmarks Button in Appmenu)
  * Replacement About Dialog (use HildonNote)
  * Optification
  * Pannable area and finger-friendly bookmarks list

 -- Thomas Perl <thp@thpinfo.com>  Wed, 21 Oct 2009 17:51:20 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: user/multimedia
 Priority: optional
 Standards-Version: 3.7.3
-Build-Depends: debhelper (>= 5.0.37.2), python2.5-dev
+Build-Depends: debhelper (>= 5.0.37.2), python2.5-dev, maemo-optify
 XS-Python-Version: >= 2.5
 XB-Python-Version: ${python:Versions}
 Homepage: http://panucci.garage.maemo.org/
@@ -15,9 +15,9 @@
 Description: Play audio books, podcasts and live concerts with resuming
   Panucci will automatically resume the playback from the position
   where you stopped last time. Bookmarks are also supported. The 
-  interface has elements big enough to be used with your fingers. 
+  interface has elements big enough to be used with your fingers.
 XB-Maemo-Display-Name: Panucci resuming audiobook and podcast player
-XB-Maemo-Upgrade-Description: Fullscreen and cover art play/pause support
+XB-Maemo-Upgrade-Description: First working version for the N900/Maemo 5
 XB-Maemo-Icon-26:
   iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAAAAZiS
   0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAuIwAALiMBeKU/dgAAAAd0SU1FB9gKGRc5F8Emid

=== debian/rules ===
--- 
+++ 
@@ -62,6 +62,7 @@
 	dh_python
 	dh_installdeb
 	dh_gencontrol
+	maemo-optify
 	dh_md5sums
 	dh_builddeb

## panucci 0.3-815

=== debian/changelog ===
panucci (0.3-815) fremantle; urgency=low

  * Support for "Silent" profile (Workaround for Maemo bug 6694)
  * Default to Landscape mode + rotation filter buttons in AppMenu
  * Removed volume controls + UI (handled automatically on Maemo 5)
  * Fix text alignment of song title in portrait mode (centered)
  * Manual optification (mostly because of the 6694 workaround)

 -- Thomas Perl <thp@thpinfo.com>  Fri, 29 Jan 2010 19:07:15 +0100

## panucci 0.3.9-0

=== Makefile ===
--- 
+++ 
@@ -55,11 +55,11 @@
 	rm -rf dist
 
 test:
-	PYTHONPATH=src/ python bin/panucci --debug
+	PYTHONPATH=src/ $(PYTHON) bin/panucci --debug
 
 ptest:
 	LD_LIBRARY_PATH=/usr/lib/gtk-2.0/modules GTK_MODULES=gtkparasite \
-	PYTHONPATH=src/ python bin/panucci --debug
+	PYTHONPATH=src/ $(PYTHON) bin/panucci --debug
 
 build-package:
 	# See: http://wiki.maemo.org/Uploading_to_Extras#Debian_tooling

=== debian/changelog ===
panucci (0.3.9-0) fremantle; urgency=low

  * Support for "Silent" profile (Workaround for Maemo bug 6694)
  * Default to Landscape mode + rotation filter buttons in AppMenu
  * Removed volume controls + UI (handled automatically on Maemo 5)
  * Fix text alignment of song title in portrait mode (centered)
  * Manual optification (mostly because of the 6694 workaround)

 -- Thomas Perl <thp@thpinfo.com>  Fri, 29 Jan 2010 19:07:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: panucci
-Maintainer: Nick Nobody <me@nikosapi.org>
+Maintainer: Thomas Perl <thp@thpinfo.com>, Nick Nobody <me@nikosapi.org>
 Section: user/multimedia
 Priority: optional
 Standards-Version: 3.7.3
@@ -7,6 +7,7 @@
 XS-Python-Version: >= 2.5
 XB-Python-Version: ${python:Versions}
 Homepage: http://panucci.garage.maemo.org/
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=769
 
 Package: panucci
 Architecture: all
@@ -17,7 +18,6 @@
   where you stopped last time. Bookmarks are also supported. The 
   interface has elements big enough to be used with your fingers.
 XB-Maemo-Display-Name: Panucci resuming audiobook and podcast player
-XB-Maemo-Upgrade-Description: First working version for the N900/Maemo 5
 XB-Maemo-Icon-26:
   iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAAAAZiS
   0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAuIwAALiMBeKU/dgAAAAd0SU1FB9gKGRc5F8Emid

## panucci 0.3.9-1

=== debian/changelog ===
panucci (0.3.9-1) fremantle; urgency=low

  * Fix command-line argument handling for gPodder (thanks to Tomasz
    Dominikowski for reporting this issue)

 -- Thomas Perl <thp@thpinfo.com>  Sat, 30 Jan 2010 19:39:27 +0100

## panucci 0.3.9-2

=== debian/changelog ===
panucci (0.3.9-2) fremantle; urgency=low

  * Monitor connection state of BT headset (allow "play on connect")

 -- Thomas Perl <thp@thpinfo.com>  Tue,  2 Feb 2010 21:23:49 +0100

## panucci 0.3.9-3

=== debian/changelog ===
panucci (0.3.9-3) fremantle; urgency=low

  * Add "FM transmitter" AppMenu button for easy access to the FMTX

 -- Thomas Perl <thp@thpinfo.com>  Thu, 11 Mar 2010 11:33:27 +0100

## panucci 0.3.9-4

=== debian/changelog ===
panucci (0.3.9-4) fremantle; urgency=low

  * Add support for streaming over HTTP (don't look at the source,
    it's very embarrassing and a patchy quick-fix...)

 -- Thomas Perl <thp@thpinfo.com>  Thu, 11 Mar 2010 11:58:29 +0100

## panucci 0.3.9-5

=== debian/changelog ===
panucci (0.3.9-5) fremantle; urgency=low

  * Merge rotation fix from gPodder's Git repository (switch
    to landscape mode while the keyboard is opened)

 -- Thomas Perl <thp@thpinfo.com>  Sat, 20 Mar 2010 07:45:48 -0700

## panucci 0.3.10

=== debian/changelog ===
panucci (0.3.10) fremantle; urgency=low

  * Use /home/user/MyDocs as default "last folder" (to make the
    file selector correctly display the SD cards in the dialog)
  * Add support for Bluetooth headset buttons (Maemo bug 8283)
  * Update bugtracker field to bugs.maemo.org (in debian/control)
  * Add dependency on python-osso (Maemo bug 9813)
  * Add correct app version to about dialog (Maemo bug 9815)

 -- Thomas Perl <thp@thpinfo.com>  Sun, 11 Apr 2010 16:05:17 +0200

## panucci 0.3.11

=== debian/changelog ===
panucci (0.3.11) fremantle; urgency=low

  * Use the Hildon-Extras About Dialog (Maemo bug 9814)

 -- Thomas Perl <thp@thpinfo.com>  Sun, 11 Apr 2010 16:59:17 +0200

## panucci 0.3.12

=== debian/changelog ===
panucci (0.3.12) fremantle; urgency=low

  * Use Maemo 5 confirmation dialog style (Maemo bug 9818)

 -- Thomas Perl <thp@thpinfo.com>  Sun, 11 Apr 2010 17:10:33 +0200

## panucci 0.3.13

=== debian/changelog ===
panucci (0.3.13) fremantle; urgency=low

  * Fix problem with invalid filename encodings (e.g. umlauts) in db

 -- Thomas Perl <thp@thpinfo.com>  Mon, 12 Apr 2010 00:49:48 +0200

## panucci 0.3.14

=== debian/changelog ===
panucci (0.3.14) fremantle; urgency=low

  * Do not use gobject.get_application_name() in About (Maemo bug 10047)

 -- Thomas Perl <thp@thpinfo.com>  Fri, 30 Apr 2010 15:15:36 +0200

## panucci 0.3.15

=== debian/changelog ===
panucci (0.3.15) fremantle; urgency=low

  * Another fix for the about dialog

 -- Thomas Perl <thp@thpinfo.com>  Fri, 30 Apr 2010 21:35:11 +0200

## panucci 0.3.16

=== debian/changelog ===
panucci (0.3.16) fremantle; urgency=low

  * Fix landscape mode for PR1.2 (Maemo bug 10493)

 -- Thomas Perl <thp@thpinfo.com>  Thu,  3 Jun 2010 18:47:27 +0200

## panucci 0.3.17

=== debian/changelog ===
panucci (0.3.17) fremantle; urgency=low

  * Updated version number in the UI

 -- Thomas Perl <thp@thpinfo.com>  Wed,  9 Jun 2010 12:58:53 +0200

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
 XS-Python-Version: >= 2.5
 XB-Python-Version: ${python:Versions}
 Homepage: http://panucci.garage.maemo.org/
-XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=769
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=Panucci
 
 Package: panucci
 Architecture: all
-Depends: ${python:Depends}, python-gtk2, python-gst0.10, python-dbus, python-hildon, python-gconf, python-mutagen
+Depends: ${python:Depends}, python-gtk2, python-gst0.10, python-dbus, python-hildon, python-gconf, python-mutagen, python-osso
 Suggests: gpodder, mogg
 Description: Play audio books, podcasts and live concerts with resuming
   Panucci will automatically resume the playback from the position
-  where you stopped last time. Bookmarks are also supported. The 
+  where you stopped last time. Bookmarks are also supported. The
   interface has elements big enough to be used with your fingers.
 XB-Maemo-Display-Name: Panucci resuming audiobook and podcast player
 XB-Maemo-Icon-26:

=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,14 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	${SETUP} install --no-compile -O2 --root='$(DESTDIR)' --prefix='$(PREFIX)'
+	${SETUP} install --no-compile -O2 --root='$(DESTDIR)' --prefix='$(PREFIX)' --install-lib /opt/panucci/lib --install-data /opt/panucci
+	mkdir -p $(DESTDIR)/opt/panucci/bin/see_bug6694/
+	cp bin/panucci $(DESTDIR)/opt/panucci/bin/see_bug6694/FMRadio
+	cp bin/fake.panucci $(DESTDIR)/$(PREFIX)/bin/panucci
+	mkdir -p $(DESTDIR)/$(PREFIX)/share/applications/hildon
+	install data/panucci.desktop $(DESTDIR)/$(PREFIX)/share/applications/hildon/
+	mkdir -p $(DESTDIR)/$(PREFIX)/share/icons/hicolor/scalable/apps
+	install data/panucci.png $(DESTDIR)/$(PREFIX)/share/icons/hicolor/scalable/apps/
 	$(MAKE) copy-schemas PREFIX=$(PREFIX) DESTDIR=$(DESTDIR)
 
 binary-arch:

## panucci 0.9-alpha0

=== debian/changelog ===
panucci (0.9-alpha0) fremantle; urgency=low

  * The first test release of the new codebase

 -- Thomas Perl <thp@thpinfo.com>  Sun, 13 Jun 2010 02:51:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: panucci
-Maintainer: Thomas Perl <thp@thpinfo.com>, Nick Nobody <me@nikosapi.org>
+Maintainer: Thomas Perl <thp@gpodder.org>
 Section: user/multimedia
 Priority: optional
 Standards-Version: 3.7.3
-Build-Depends: debhelper (>= 5.0.37.2), python2.5-dev, maemo-optify
+Build-Depends: debhelper (>= 5.0.37.2), python2.5-dev
 XS-Python-Version: >= 2.5
 XB-Python-Version: ${python:Versions}
 Homepage: http://panucci.garage.maemo.org/
@@ -12,11 +12,14 @@
 Package: panucci
 Architecture: all
 Depends: ${python:Depends}, python-gtk2, python-gst0.10, python-dbus, python-hildon, python-gconf, python-mutagen, python-osso
-Suggests: gpodder, mogg
+Recommends: gpodder
 Description: Play audio books, podcasts and live concerts with resuming
   Panucci will automatically resume the playback from the position
   where you stopped last time. Bookmarks are also supported. The
   interface has elements big enough to be used with your fingers.
+  .
+  Panucci is fully integrated with gPodder and is the recommended
+  audio player to be used with gPodder on Maemo 5.
 XB-Maemo-Display-Name: Panucci resuming audiobook and podcast player
 XB-Maemo-Icon-26:
   iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAAAAZiS

## panucci 0.9-alpha1

=== debian/changelog ===
panucci (0.9-alpha1) fremantle; urgency=low

  * Merge up to date fixes from the development release

 -- Thomas Perl <thp@thpinfo.com>  Fri, 16 Jul 2010 21:51:49 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CHANGELOG	= debian/changelog
DOCS		= #AUTHORS README

PYTHON		= /usr/bin/python2.5
SETUP		= ${PYTHON} setup.py

DEBPACKAGE	= panucci
DESTDIR		= debian/${DEBPACKAGE}
PREFIX		= usr

configure:
	true

build: build-stamp
build-stamp:
	dh_testdir
	make mo
	make data/panucci.service
	${SETUP} build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	${SETUP} clean --all
	rm -rf build dist
	dh_clean
	make clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	${SETUP} install --no-compile -O2 --root='$(DESTDIR)' --prefix='$(PREFIX)' --install-lib /opt/panucci/lib
	mv $(DESTDIR)/$(PREFIX)/share/panucci/* $(DESTDIR)//opt/panucci/
	rm -rf $(DESTDIR)/$(PREFIX)/share/panucci

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs $(CHANGELOG)
	dh_installdocs $(DOCS)
	dh_installmenu
	dh_installman
	dh_compress
	dh_fixperms
	dh_python
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep

.PHONY: build clean binary-indep binary-arch binary install configure

## panucci 0.99.0

=== debian/changelog ===
panucci (0.99.0) fremantle; urgency=low

  * Experimental build from xerxes2's Github fork

 -- Thomas Perl <m@thp.io>  Tue,  1 Mar 2011 21:33:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: panucci
-Maintainer: Thomas Perl <thp@gpodder.org>
+Maintainer: Thomas Perl <m@thp.io>
 Section: user/multimedia
 Priority: optional
 Standards-Version: 3.7.3
 Build-Depends: debhelper (>= 5.0.37.2), python2.5-dev
 XS-Python-Version: >= 2.5
 XB-Python-Version: ${python:Versions}
-Homepage: http://panucci.garage.maemo.org/
+Homepage: http://gpodder.org/panucci/
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=Panucci
 
 Package: panucci
@@ -17,9 +17,6 @@
   Panucci will automatically resume the playback from the position
   where you stopped last time. Bookmarks are also supported. The
   interface has elements big enough to be used with your fingers.
-  .
-  Panucci is fully integrated with gPodder and is the recommended
-  audio player to be used with gPodder on Maemo 5.
 XB-Maemo-Display-Name: Panucci resuming audiobook and podcast player
 XB-Maemo-Icon-26:
   iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAAAAZiS

=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,8 @@
 # dh-make output file, you may use that output file without restriction.
 # This special exception was added by Craig Small in version 0.37 of dh-make.
 
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
-
 CHANGELOG	= debian/changelog
-DOCS		= #AUTHORS README
+DOCS		=
 
 PYTHON		= /usr/bin/python2.5
 SETUP		= ${PYTHON} setup.py
@@ -45,8 +42,10 @@
 	dh_clean -k
 	dh_installdirs
 	${SETUP} install --no-compile -O2 --root='$(DESTDIR)' --prefix='$(PREFIX)' --install-lib /opt/panucci/lib
-	mv $(DESTDIR)/$(PREFIX)/share/panucci/* $(DESTDIR)//opt/panucci/
+	mv $(DESTDIR)/$(PREFIX)/share/panucci/* $(DESTDIR)/opt/panucci/
 	rm -rf $(DESTDIR)/$(PREFIX)/share/panucci
+	mkdir -p $(DESTDIR)/$(PREFIX)/share/applications/hildon
+	mv $(DESTDIR)/$(PREFIX)/share/applications/*.desktop $(DESTDIR)/$(PREFIX)/share/applications/hildon
 
 binary-arch:
 
@@ -59,7 +58,6 @@
 	dh_installman
 	dh_compress
 	dh_fixperms
-	dh_python
 	dh_installdeb
 	dh_gencontrol
 	dh_md5sums

## panucci 0.99.1

=== debian/changelog ===
panucci (0.99.1) fremantle; urgency=low

  * Second experimental build from xerxes2's Github fork

 -- Thomas Perl <m@thp.io>  Sun, 10 Apr 2011 20:33:29 +0200

## panucci 0.99.2

=== debian/changelog ===
panucci (0.99.2) fremantle; urgency=low

  * Third experimental build of xerxes2's Github fork

 -- Thomas Perl <m@thp.io>  Mon,  6 Jun 2011 12:09:52 +0200

## panucci 0.99.3

=== debian/changelog ===
panucci (0.99.3) fremantle; urgency=low

  * Fourth build of xerxes2's repo

 -- Thomas Perl <m@thp.io>  Mon,  1 Aug 2011 14:55:06 +0200

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,7 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
+	${PYTHON} device.py N900
 	make mo
 	make data/panucci.service
 	${SETUP} build
